package com.bonus.core.menu.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel("评价列表")
@LeNiuDecryptDataProcess
public class MenuEvaluaOrderPageMealVO implements Serializable {
   @ApiModelProperty("人员头像地址")
   private String custPhotoUrl;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("评价id")
   private Long evaluaId;
   @ApiModelProperty("订单编号")
   private Long ordId;
   @ApiModelProperty("星级")
   private Integer starLevel;
   @ApiModelProperty("描述")
   private String description;
   @ApiModelProperty("评价图片")
   private List<String> pictureList;
   @ApiModelProperty("评价时间")
   private LocalDateTime evaluaTime;
   @ApiModelProperty("评价回复")
   private String reply;
   @ExcelIgnore
   @ApiModelProperty("评价回复时间")
   private LocalDateTime replyTime;

   public String getCustPhotoUrl() {
      return SysUtil.getCutFileUrl(this.custPhotoUrl);
   }

   public String getCustName() {
      return this.custName;
   }

   public Long getEvaluaId() {
      return this.evaluaId;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public Integer getStarLevel() {
      return this.starLevel;
   }

   public String getDescription() {
      return this.description;
   }

   public List<String> getPictureList() {
      return this.pictureList;
   }

   public LocalDateTime getEvaluaTime() {
      return this.evaluaTime;
   }

   public String getReply() {
      return this.reply;
   }

   public LocalDateTime getReplyTime() {
      return this.replyTime;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setEvaluaId(final Long evaluaId) {
      this.evaluaId = evaluaId;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setStarLevel(final Integer starLevel) {
      this.starLevel = starLevel;
   }

   public void setDescription(final String description) {
      this.description = description;
   }

   public void setPictureList(final List<String> pictureList) {
      this.pictureList = pictureList;
   }

   public void setEvaluaTime(final LocalDateTime evaluaTime) {
      this.evaluaTime = evaluaTime;
   }

   public void setReply(final String reply) {
      this.reply = reply;
   }

   public void setReplyTime(final LocalDateTime replyTime) {
      this.replyTime = replyTime;
   }
}
